#3077 Stendhal: Detecting serious bug in keyboard handling.

closed-fixed
ChadF
Code (550)
6
2007-07-26
2007-05-20
a
No

I've got a bug while playing blackjack. It seem to have no effect, but it says to report it:

[00:43] <ElGranGrijander> stake 30
[00:43] <Ramon>
You got a Q♦.
The bank got a J♠.
You got a 9♠.
The bank got a 9♣.
You have 19.
The bank has 19.
The bank stands.
Do you want another card?
[00:43] <ElGranGrijander> no
[00:43] <Ramon> This is a draw. You get your stake back.
[00:43] Detecting serious bug in keyboard handling.
[00:43] Try executing xset -r in a terminal windows. Please write a bug report at http://sourceforge.net/tracker/?group_id=1111&atid=101111 including the name and version of your operating system and distribution
[00:43] rat has been killed by ElGranGrijander

I'm using Windows XP SP2.

Discussion

  • Katie Russell

    Katie Russell - 2007-05-21

    Logged In: YES
    user_id=1560922
    Originator: NO

    Did you have lag while this happened?

    I get that message sometimes when there's lag, i think the server thinks you sent two key presses at once when really you only sent one.

    Or if i mash my keyboard with my hand :P sometimes.

     
  • Miguel Angel Blanch Lardin

    Logged In: YES
    user_id=3949
    Originator: NO

    Chadf, you removed the old code keyboard handling.
    Perhaps this message is bogus itself...

     
  • Miguel Angel Blanch Lardin

    • priority: 5 --> 6
    • assigned_to: nobody --> chad3f
     
  • a

    a - 2007-05-26

    Logged In: YES
    user_id=894814
    Originator: YES

    I think i hadn't, but i'm not very sure...

     
  • ChadF

    ChadF - 2007-07-26

    Logged In: YES
    user_id=1668474
    Originator: NO

    This should be moot now that the repeat key detection/handling has been redone.
    Closing.

     
  • ChadF

    ChadF - 2007-07-26
    • labels: --> Code
    • status: open --> closed-fixed
     


Anonymous

Cancel  Add attachments